<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM). Copyright 2009, Onpubco.
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.11
 */
class OnpubWidgetArticles
{
  private $pdo;
  private $osection;

  function __construct(PDO $pdo, $osection)
  {
    $this->pdo = $pdo;
    $this->osection = $osection;
  }

  function display()
  {
    $osamaps = new OnpubSAMaps($this->pdo);
    $oarticles = new OnpubArticles($this->pdo);

    en ('<tr>');
    en ('<td><b>Articles</b><br>');

    en ('<select name="IDs[]" size="10" multiple="multiple">');

    $queryOptions = new OnpubQueryOptions();
    $queryOptions->orderBy = "ID";
    $queryOptions->order = "ASC";
    $samaps = $osamaps->select($queryOptions, $this->osection->ID);

    if (sizeof($samaps))
    {
      for ($i = 0; $i < sizeof($samaps); $i++)
      {
        $article =
          $oarticles->get($samaps[$i]->articleID, new OnpubQueryOptions());

        en ('<option value="' . $article->ID . '" selected="selected">'
          . strip_tags($article->title) . '</option>');
      }
    }
    else
    {
      en ('<option value="">None</option>');
    }

    en ('</select>');

    en ('</td>');
    en ('</tr>');
  }
}
?>