<?php

/* Onpub (TM)
 * Copyright (C) 2008 Onpubco <http://onpubco.com/>
 * Author: Corey HM Taylor <corey@onpubco.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2.
 */

include '../api/onpubapi.php';

include 'php/config.php';
include 'php/init.php';
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
  "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <meta http-equiv = "Content-Type" content = "text/html; charset=iso-8859-1">
    <?php include 'php/title.php'; ?>

    <!-- YUI CSS and JS: See http://developer.yahoo.com/yui/ for info. -->

    <link rel = "stylesheet" type = "text/css"
      href = "css/yui/reset-fonts-grids.css">
    <link rel = "stylesheet" type = "text/css" href = "css/yui/base-min.css">
    <link rel = "stylesheet" type = "text/css" href = "css/yui/sam/menu.css">
    <script type = "text/javascript" src = "js/yui/yahoo-dom-event.js">
    </script>

    <script type = "text/javascript" src = "js/yui/container_core-min.js">
    </script>

    <script type = "text/javascript" src = "js/yui/menu-min.js">
    </script>
    <!-- Custom CSS -->
    <link rel = "stylesheet" type = "text/css" href = "<?php echo $cssFile; ?>">
  </head>

  <body class = "yui-skin-sam">
    <div id = "doc"
      class = "yui-t4"> <!-- YUI CSS Grid Page Width and Template -->
      <div id = "hd"> <!-- Header -->

        <?php include 'php/hd.php'; ?>
      </div>

      <div id = "bd"> <!-- Body -->
        <div id = "yui-main">
          <div id = "primary" class = "yui-b"> <!-- Primary Block -->

            <?php
            switch ($index)
            {
              case 'home':
                include 'php/home.php';
                break;

              case 'section':
                include 'php/section.php';
                break;

              case 'article':
                include 'php/article.php';
                break;

              case 'section-article':
                include 'php/section-article.php';
                break;

              default: break;
            }
            ?>
          </div>
        </div>

        <div id = "secondary" class = "yui-b"> <!-- Secondary Block -->

          <?php include 'php/secondary.php'; ?>
        </div>
      </div>

      <div id = "ft"> <!-- Footer -->

        <?php include 'php/ft.php'; ?>
      </div>
    </div>
  </body>
</html>