<?php

/**
 * @author {@link mailto:corey@onpubco.com Corey HM Taylor}
 * @copyright Onpub (TM). Copyright 2009, Onpubco.
 * {@link http://onpubco.com/}
 * @license http://www.gnu.org/copyleft/gpl.html GNU General Public License
 * Version 2
 * @package onpubgui
 * @version 0.8.11
 */
class OnpubWidgetHeader
{
  private $title;

  function __construct($title = "") { $this->title = $title; }

  function display()
  {
    en ('<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">');
    en ('<html>');
    en ('<head>');
    en ('<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">');
    en ('<meta http-equiv="Content-Style-Type" content="text/css">');
    en ('<title>' . strip_tags("Onpub (on " . $_SERVER['SERVER_NAME'] . ") - "
      . $this->title) . '</title>');
    en ('<link rel="stylesheet" type="text/css" href="gui/css/yui/reset-fonts-grids.css">');
    en ('<link rel="stylesheet" type="text/css" href="gui/css/yui/base-min.css">');
    en ('<link rel="stylesheet" type="text/css" href="gui/css/yui/sam/menu.css">');
    en ('<script type="text/javascript" src="gui/js/yui/yahoo-dom-event.js"></script>');
    en ('<script type="text/javascript" src="gui/js/yui/container_core-min.js"></script>');
    en ('<script type="text/javascript" src="gui/js/yui/menu-min.js"></script>');
    en ('<link rel="stylesheet" type="text/css" href="gui/css/onpub.css">');
    en ('<script src="gui/js/onpub.js" type="text/javascript"></script>');
    en ('</head>');
    en ('<body class="yui-skin-sam">');

    en ('<div id="doc">');
    en ('<div id="hd"><!-- header -->');

    en ('<div class="yui-g">');

    en ('<div class="yui-u first">');

    en('<a href="index.php"><img src="' . ONPUBGUI_IMAGE_DIRECTORY
      . 'onpub.png" width="93" height="35" alt="Onpub" title="Onpub" border="0"></a>',
      1);

    en ('</div>');

    en ('<div class="yui-u" style="text-align: right; padding-top: 0.6em;">');

    en ('</div>');

    en ('</div>');

    en ('</div>');
    en ('<div>');
?>

    <script type = "text/javascript">
      YAHOO.util.Event.onContentReady("onpubmenubar", function( )
      {
        var oMenu = new YAHOO.widget.MenuBar("onpubmenubar",
        {
          autosubmenudisplay: true,
          hidedelay: 750,
          lazyload: true
        } );

        oMenu.render();
        oMenu.show();
      });
    </script>

    <div id = "onpubmenubar" class = "yuimenubar yuimenubarnav">
      <div class = "bd">
        <ul class = "first-of-type">
          <li class = "yuimenubaritem first-of-type"><a class = "yuimenubaritemlabel"
            href = "#">New</a>

          <div id = "new" class = "yuimenu">
            <div class = "bd">
              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=NewArticle">Article</a></li>
              </ul>

              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=NewSection">Section</a></li>
              </ul>

              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=NewWebsite">Website</a></li>
              </ul>
            </div>
          </div>

          </li>

          <li class = "yuimenubaritem"><a class = "yuimenubaritemlabel"
            href = "#">Edit</a>

          <div id = "edit" class = "yuimenu">
            <div class = "bd">
              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=EditArticles">Articles</a></li>
              </ul>

              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=EditImages">Images</a></li>
              </ul>

              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=EditSections">Sections</a></li>
              </ul>

              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=EditWebsites">Websites</a></li>
              </ul>
            </div>
          </div>

          </li>

          <li class = "yuimenubaritem"><a class = "yuimenubaritemlabel"
            href = "#">Upload</a>

          <div id = "upload" class = "yuimenu">
            <div class = "bd">
              <ul>
                <li class = "yuimenuitem"><a class = "yuimenuitemlabel"
                  href = "index.php?onpub=UploadImages">Images</a></li>
              </ul>
            </div>
          </div>

          </li>

          <li class = "yuimenubaritem"><a class = "yuimenubaritemlabel"
            href = "http://onpubco.com/index.php?articleID=25&amp;sectionID=2"
            target = "_blank">Help</a></li>

          <li class = "yuimenubaritem"><a class = "yuimenubaritemlabel"
            href = "index.php?onpub=Logout">Logout</a></li>
        </ul>
      </div>
    </div>

<?php
    en ('</div>');
    en ('<div id="bd">');

    en ('<div id="yui-main">');
    en ('<div class="yui-b">');

    if ($this->title)
    {
      en ('<h1>' . strip_tags($this->title) . '</h1>');
    }
    else
    {
      en ('<h1>Onpub (on ' . $_SERVER['SERVER_NAME'] . ')</h1>');
    }
  }
}
?>